import {BasicColumn, FormSchema} from '@/components/Table';

export const columns: BasicColumn[] = [
  {
    title: '规则名称',
    dataIndex: 'ruleName',
    width: 150,

  },
  {
    title: '规则描述',
    dataIndex: 'ruleDescription',
    width: 120,
  },
  {
    title: '数据库用户',
    dataIndex: 'databaseUser',
    width: 120,

  },
  {
    title: '规则处置',
    dataIndex: 'ruleHandling',
    width: 120,

  },
  {
    title: '处置建议',
    dataIndex: 'disposalSuggestions',
    width: 120,

  },

];

/** 添加规则表单字段*/
export const formSchema: any[] = [
  {
    field: 'databaseUser',
    label: '数据库用户',
    component: 'Input',
    colProps: { lg: 24, md: 24 },
    itemProps: {
      extra: '多个用户用英文逗号分隔',
    },

    componentProps: {
      placeholder: 'user001,user002',
      options: [

      ],
    },
    rules: [
      {
        // required: true,
        // message: '请选择保护动作',
      },
    ],
  },
]

/**编辑公共代码 表单4*/
export const editPublicCodeSchema: FormSchema[] = [
  {
    field: 'ruleName',
    label: '规则名称',
    component: 'Input',
    componentProps: {
      placeholder: '请输入规则名称',
    },
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'ruleDescription',
    label: '规则描述',
    component: 'Input',
    componentProps: {
      placeholder: '请输入规则描述',
    },
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'ruleHandling',
    label: '规则处置',
    colProps: { lg: 11, md: 11, },
    component: 'Select',
    componentProps: {
      placeholder: '规则处置方式',
      options: [
        { label: '建议优化', value: '1' },
        { label: '禁止执行', value: '2' },
        { label: 'admin', value: '3' },
      ],
    },
  },
  {
    field: 'sourceSystemCodeValue',
    label: '处置建议',
    component: 'Input',
    componentProps: {
      placeholder: '请输入处置建议',
    },
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'sql',
    label: '规则内容',
    slot: 'ruleContentSlot',
  },
  {
    field: 'databaseUser',
    label: '数据库用户',
    component: 'Input',
    componentProps: {
      placeholder: '请输入数据库用户',
    },
    colProps: { lg: 24, md: 24 },
  },
];

